//
// Cforall Version 1.0.0 Copyright (C) 2015 University of Waterloo
//
// The contents of this file are covered under the licence agreement in the
// file "LICENCE" distributed with Cforall.
//
// FindOpenVars.h -- 
//
// Author           : Richard C. Bilson
// Created On       : Sun May 17 09:46:04 2015
// Last Modified By : Peter A. Buhr
// Last Modified On : Sun May 17 09:47:20 2015
// Update Count     : 2
//

#ifndef FINDOPENVARS_H
#define FINDOPENVARS_H

#include "Unify.h"
#include "SynTree/SynTree.h"

namespace ResolvExpr {
	void findOpenVars( Type *type, OpenVarSet &openVars, OpenVarSet &closedVars, AssertionSet &needAssertions, AssertionSet &haveAssertions, bool firstIsOpen );
} // namespace ResolvExpr

#endif // FINDOPENVARS_H

// Local Variables: //
// tab-width: 4 //
// mode: c++ //
// compile-command: "make install" //
// End: //
